using System;

namespace DrugiKrug2020Kvadrati
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            long x1 = long.Parse(s1[0]); long y1 = long.Parse(s1[1]);
            string[] s2 = Console.ReadLine().Split();
            long x2 = long.Parse(s2[0]); long y2 = long.Parse(s2[1]);

            if(x1 == x2 || y1 == y2)
            {
                Console.WriteLine("2");          
            }
            else
            {
                if(Math.Abs(x1 - x2) == Math.Abs(y1 - y2))
                {
                    Console.WriteLine("1");
                }
                else
                {
                    Console.WriteLine("0");
                }
            }
        }
    }
}